"""Vocabularies and sources for the accommodation section.
"""
from zc.sourcefactory.basic import BasicSourceFactory
from waeup.sirp.interfaces import SimpleWAeUPVocabulary


bed_letters = SimpleWAeUPVocabulary(
    ('Bed A','A'),
    ('Bed B','B'),
    ('Bed C','C'),
    ('Bed D','D'),
    ('Bed E','E'),
    ('Bed F','F'),
    ('Bed G','G'),
    ('Bed H','H'),
    ('Bed I','I'),
    )

blocks = SimpleWAeUPVocabulary(
    ('Block A','A'),
    ('Block B','B'),
    ('Block C','C'),
    ('Block D','D'),
    ('Block E','E'),
    ('Block F','F'),
    ('Block G','G'),
    ('Block H','H'),
    ('Block I','I'),
    ('Block K','K'),
    ('Block L','L'),
    ('Block M','M'),
    ('Block N','N'),
    ('Block O','O'),
    ('Block P','P'),
    )

special_handling = SimpleWAeUPVocabulary(
    ('Regular Hostel','regular'),
    ('Blocked Hostel','blocked'),
    ('Postgraduate Hostel','pg'),
    )
